dest="/ptmp/$USER/neurocontainers"
container=$1

if [ ! -d "$dest" ]; then
   mkdir -p "$dest"
fi

if [ ! -f "$dest/$container.simg" ]; then
   echo "Container $container.sif does not yet exist, downloading"
   curl -o $dest/$container.simg -X GET https://neurocontainers.neurodesk.org/$container.simg
fi

apptainer exec -B /ptmp --nv $dest/$container.simg "${@:2}"
